%define section   free

Name:           xstream
Version:        0.3
Release:        1jpp
Epoch:          0
Summary:        XML serialization library

Group:          Development/Libraries/Java
License:        Open Source
URL:            http://xstream.codehaus.org/
Source0:        xstream-0.3-src.tar.gz
# cvs -d :pserver:anonymous@cvs.codehaus.org:/scm/cvspublic login
# cvs -z3 -d :pserver:anonymous@cvs.codehaus.org:/scm/cvspublic export -r XSTREAM_0_3 xstream
# TAGGING HAS SOME PROBLEM
# cvs -z3 -d :pserver:anonymous@cvs.codehaus.org:/scm/cvspublic export -D "December 21, 2003 10:00am" xstream
Source1:        xstream-0.3-doc.tar.gz
Source2:        xstream-0.3-build.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:   ant >= 0:1.5.4, ant-optional >= 0:1.5.4, junit >= 0:3.8.1
BuildRequires:  jakarta-commons-lang >= 0:2.0
BuildRequires:  dom4j >= 0:1.4
BuildRequires:  jaxen >= 0:1.0
BuildRequires:  saxpath >= 0:1.0
Requires:  jakarta-commons-lang >= 0:2.0
Requires:  dom4j >= 0:1.4
Requires:  jaxen >= 0:1.0
Requires:  saxpath >= 0:1.0

%description
XStream is a simple library to serialize objects to XML 
and back again. XStream requires minimal (if any at all) 
configuration for custom objects.  The XML produced is 
clean and concise and never duplicates any information 
that can be obtained via reflection.  XStream has a clean 
design, is simple to use, boasts impressive speed and 
is not coupled to any particular XML library.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.


%prep
%setup -q -n %{name}-%{version}
gzip -dc %{SOURCE1} | tar -xf -
cp %{SOURCE2} build.xml

%build
export CLASSPATH=$(build-classpath \
jakarta-commons-lang \
dom4j \
jaxen \
saxpath \
junit)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only dist


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{name}-%{version}-SNAPSHOT.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
#
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
#
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%ghost %doc %{_docdir}/%{name}


%changelog
* Fri Feb 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.3-1jpp
- Upgrade to 0.3
- Add manual subpackage

* Mon Jan 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.2-1jpp
- First JPackage release

